<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>SOC Driver Internal Definitions</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle">
<div class="title">SOC Driver Internal Definitions<div class="ingroups"><a class="el" href="group___s_o_c___d_r_i_v_e_r.html">SOC Driver</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>The section has a list of all internal definitions which are used internally by the SOC module.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga2c4964a35612a151679b7aab8952205c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga2c4964a35612a151679b7aab8952205c"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_e_f_i_n_i_t_i_o_n.html#ga2c4964a35612a151679b7aab8952205c">SOC_TRANSLATEADDR_NUM_ENTRIES</a>&#160;&#160;&#160;3</td></tr>
<tr class="memdesc:ga2c4964a35612a151679b7aab8952205c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This defines the number of LUT entries for address translation. The contiguous address ranges are consolidated as much as possible to limit the time spent in lookup actions. <br /></td></tr>
<tr class="separator:ga2c4964a35612a151679b7aab8952205c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2c4964a35612a151679b7aab8952205c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga2c4964a35612a151679b7aab8952205c"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_e_f_i_n_i_t_i_o_n.html#ga2c4964a35612a151679b7aab8952205c">SOC_TRANSLATEADDR_NUM_ENTRIES</a>&#160;&#160;&#160;4</td></tr>
<tr class="memdesc:ga2c4964a35612a151679b7aab8952205c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This defines the number of LUT entries for address translation. The contiguous address ranges are consolidated as much as possible to limit the time spent in lookup actions. <br /></td></tr>
<tr class="separator:ga2c4964a35612a151679b7aab8952205c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabb65622568942ecc655469a16062c55b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gabb65622568942ecc655469a16062c55b"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_e_f_i_n_i_t_i_o_n.html#gabb65622568942ecc655469a16062c55b">SOC_MAX_SYSTEM_INTERRUPT</a>&#160;&#160;&#160;4U</td></tr>
<tr class="memdesc:gabb65622568942ecc655469a16062c55b"><td class="mdescLeft">&#160;</td><td class="mdescRight">The SOC Driver is responsible for the registration and handling of system interrupts. It then provides applications and drivers to register their interrupts which are then invoked in the order of registration. The definition is the maximum number of system interrupts which are supported by this model. <br /></td></tr>
<tr class="separator:gabb65622568942ecc655469a16062c55b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9b73e1eaec0a0528592c6a03f0d8373f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga9b73e1eaec0a0528592c6a03f0d8373f"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_e_f_i_n_i_t_i_o_n.html#ga9b73e1eaec0a0528592c6a03f0d8373f">SOC_MAX_LISTEN_TABLE</a>&#160;&#160;&#160;4U</td></tr>
<tr class="memdesc:ga9b73e1eaec0a0528592c6a03f0d8373f"><td class="mdescLeft">&#160;</td><td class="mdescRight">This definition exposes the maximum number of listeners which can be attached to a system interrupt. <br /></td></tr>
<tr class="separator:ga9b73e1eaec0a0528592c6a03f0d8373f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>The section has a list of all internal definitions which are used internally by the SOC module. </p>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
